## filesender 1.6+crypto1

=== debian/changelog ===
filesender (1.6+crypto1) stable; urgency=low

  * Patches from Surfnet for crypto & saml.

 -- Casper Gielen (Unix Administrator University Tilburg) <cgielen@uvt.nl>  Thu, 07 May 2015 18:10:08 +0200

filesender (1.6) stable; urgency=medium
   * Release 1.6

   * Major changes since 1.5
     - New: high-speed upload module 'TeraSender' (#891)
     - New: auto-complete in the To: field (#821)
     - New: refactored MyFiles, file downloaded dates provide audit
       trail when download Cc:s switched off
     - New: support for configurable footer via language file (#871)
     - New: support for optional Subject and Message in guest use voucher
       (#637, #774) 
     - New: support for multiple From: addresses from authentication
       source (#184)
     - New: configurable option 'download_confirmation_to_downloader' for
       sending download email receipt to file recipients (default 'true')
       (#985)
     - New: download pause/resume now possible with browsers supporting
       partial download (most notably Firefox, IE11, curl and wget) (#1076)
     - New: support for SQLite (#898) 
     - New language: Finnish (#981) 
     - Change: logout.php is now called in the same way as all other pages,
       practical for header/footer. Change your site_logouturl!(#904)
     - Change: Upgrade JQuery and JQueryUI to 1.10.2, Upgrade Smoothness
       to 1.10.2. (#819)

   * Changes since 1.6-rc1
     - Languages: Add Finnish translation contributed by Tomi Salmi
       of CSC/Funet (#981)
     - Debian packaging: Only define Apache <Directory> permissions
       for the <filesenderbase>/www subtree (#1089)
     - Supporting scripts: add shell script to check for missing or
       unknown language tags (#1101)

 -- Filesender Development <filesender-dev@filesender.org>  Sat, 26 Jul 2014 19:53:09 +0200

filesender (1.6~rc1) unstable; urgency=medium
   * Changes since 1.6-beta1
     - Download pause/resume now possible with browsers supporting
       partial download (most notably Firefox, IE11, curl and wget)
       (#1076)
     - 'terasender' default disabled in config-dist.php (#1077)
     - Added IE10+ and Safari 6+ to supported browsers in HELP text
       for en, no and nl languages (#1063)

   * Fixes since 1.6-beta1
     - Security: also escape single quotes for externally supplied
       output (#1079)
     - Security: encode MMredirectURL in Flash detection code (#1078)
     - Security: strict type comparison in XSFR check (#1080)
     - 'friendly name' extraction fixed (#1068)
     - Various fixes and improvements in the partial download code (#1076)
       - chunked reading and buffering to prevent server side memory
         exhaustion with large range requests
       - more robust range request detection to make actual pause/resume
         possible

 -- Filesender Development <filesender-dev@filesender.org>  Fri, 04 Apr 2014 19:44:18 +0200

filesender (1.6~beta1) unstable; urgency=medium
   * Major changes since 1.5
     - Add TeraSender code (#885, #899, #1064)
       - Allows for faster HTML5 uploads
       - Upgrade note: new configuration options
       - Default not enabled, enable in config.php
     - New layout of My Files page (#597)
       - add number of downloads
       - expandable per file details view
       - removed 'me' substition
     - Add optional personal message and subject to guest vouchers (#637,#963)
       - Upgrade note: change in configuration mail template
     - Recipient address autocomplete based on previous recipients (#821)
       - Upgrade note: new configuration options
     - Add selector when multiple mail adresses are available (#184)
       Modified patch from Thijs Kinkhorst

   * Changes since 1.5
     - Upgrade of JQuery and JQueryUI to 1.10.2 (#819)
     - Default Voucher Subject configurable (#774)
       Patch contributed by Thijs Kinkhorst
     - Add a customisable footer through the language definitions (#871)
       Modified patch from Jean-Philippe Evrard, BELNET
     - logout.php and invalidvoucher.php removed and integrated in
       the core index.php (#904)
       - Upgrade note: needs change in config.php when upgrading,
         logout page breaks if config.php isn't adapted
     - New download.php (#858)
       - redo logic for mail sending and logging
       - added partial download (HTTP range) functionality (not used yet)
       - some cleanup
     - Add option to suppress carbon copy of download confirmation mail
       to downloader (#985)
     - Add sqlite init-script and 'how to' (#898)
       Patch contributed by Dick Visser
     - Minor layout changes (#965,#966)

   * Fixes since 1.5
     - Optimise PDO Query row count statements (#888)
       Patch from Dick Visser
     - Remove unused validVoucher() function
       Patch from Thijs Kinkhorst
     - Hash fileuid for pending/validateupload entry (#884)
       Bug noticed by Dick Visser
     - Replace $_REQUEST['PHPSESSID'] with session_id() (#897)
     - Fix declarations for fileexpirydate and logdate in mysql init script (#932)
     - Fixed use of single quote in filename with Flash uploads (#895)

 -- Filesender Development <filesender-dev@filesender.org>  Mon, 30 Dec 2013 20:38:58 +0100

filesender (1.5) stable; urgency=medium
   * Release 1.5

   * Major changes since 1.1.1
     - User interface is now HTML based, no Flash required except when
       uploading files with a non-HTML5-capable browser
     - Multilanguage support in web interface
     - Support for multiple database backends (PDO)
     - Changes in configuration (see Upgrade Notes)

   * Changes since 1.5-rc1
     - Added Serbian language file (#865)
     - Updated language definitions (#666, #706, #720, #880)
     - Consolidated filename validation (#863)
     - Don't insert guest voucher(s) in case of validation errors (#862)
     - Allow spaces in configurable setting for admin users (#869)
     - Restrict access to admin page skeleton (#881)

