=== debian/control ===
Source: filesender
Section: web
Priority: extra
Maintainer: Filesender Development <filesender-dev@filesender.org>
Build-Depends: debhelper (>= 7), cdbs
Homepage: http://www.filesender.org
Vcs-Svn: http://subversion.assembla.com/svn/file_sender/filesender_packaging/debian/filesender/
Vcs-Browser: http://www.assembla.com/code/file_sender/subversion/nodes/filesender_packaging/debian/filesender
Standards-Version: 3.8.3

Package: filesender
Architecture: all
Depends: php5, libapache2-mod-php5 | php5-cgi, apache2 | httpd,
 simplesamlphp, dbconfig-common, default-mta | mail-transport-agent,
 postgresql | mysql-server, php5-pgsql | php5-mysql,
 ${misc:Depends}
Recommends: postgresql-client | mysql-client
Description: sharing large files with a browser
 FileSender is a web based application that allows authenticated users to
 securely and easily send arbitrarily large files to other users.
 Authentication of users is provided through SAML2, LDAP and RADIUS.
 Users without an account can be sent an upload voucher by an
 authenticated user. FileSender is developed to the requirements of the
 higher education and research community.
 .
 The purpose of the software is to send a large file to someone, have
 that file available for download for a certain number of downloads and/or
 a certain amount of time, and after that automatically delete the file.
 The software is not intended as a permanent file publishing platform.
